Bug 736049 - SELinux is preventing /usr/sbin/saslauthd from 'ioctl' accesses on the file /proc/fs/openafs/afs_ioctl.
Summary: SELinux is preventing /usr/sbin/saslauthd from 'ioctl' accesses on the file /...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:56f87b04c36...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 14:19 UTC by todd_lewis
Modified: 2011-12-04 02:34 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-48.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:34:56 UTC


Attachments (Terms of Use)

Description todd_lewis 2011-09-06 14:19:22 UTC
SELinux is preventing /usr/sbin/saslauthd from 'ioctl' accesses on the file /proc/fs/openafs/afs_ioctl.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that saslauthd should be allowed ioctl access on the afs_ioctl file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep saslauthd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:saslauthd_t:s0
Target Context                system_u:object_r:proc_afs_t:s0
Target Objects                /proc/fs/openafs/afs_ioctl [ file ]
Source                        saslauthd
Source Path                   /usr/sbin/saslauthd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           cyrus-sasl-2.1.23-18.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40.3-0.fc15.i686 #1
                              SMP Tue Aug 16 04:24:09 UTC 2011 i686 i686
Alert Count                   2529
First Seen                    Thu 04 Aug 2011 10:26:54 AM EDT
Last Seen                     Tue 06 Sep 2011 09:45:43 AM EDT
Local ID                      3604bfdb-aebe-4fb8-80bd-508f95a8f79e

Raw Audit Messages
type=AVC msg=audit(1315316743.943:1611): avc:  denied  { ioctl } for  pid=15586 comm="saslauthd" path="/proc/fs/openafs/afs_ioctl" dev=proc ino=4026532259 scontext=system_u:system_r:saslauthd_t:s0 tcontext=system_u:object_r:proc_afs_t:s0 tclass=file


type=SYSCALL msg=audit(1315316743.943:1611): arch=i386 syscall=ioctl success=no exit=EACCES a0=3 a1=40044301 a2=bfa33cac a3=14 items=0 ppid=1770 pid=15586 auid=4294967295 uid=12428 gid=12428 euid=12428 suid=12428 fsuid=12428 egid=12428 sgid=12428 fsgid=12428 tty=(none) ses=4294967295 comm=saslauthd exe=/usr/sbin/saslauthd subj=system_u:system_r:saslauthd_t:s0 key=(null)

Hash: saslauthd,saslauthd_t,proc_afs_t,file,ioctl

audit2allow

#============= saslauthd_t ==============
allow saslauthd_t proc_afs_t:file ioctl;

audit2allow -R

#============= saslauthd_t ==============
allow saslauthd_t proc_afs_t:file ioctl;

Comment 1 Daniel Walsh 2011-09-06 15:34:30 UTC
Fixed in selinux-policy-3.10.0-25.fc16

Comment 2 Fedora Update System 2011-11-16 16:16:51 UTC
selinux-policy-3.9.16-48.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-48.fc15

Comment 3 Fedora Update System 2011-11-17 23:35:14 UTC
Package selinux-policy-3.9.16-48.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-48.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16023/selinux-policy-3.9.16-48.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-04 02:34:56 UTC
selinux-policy-3.9.16-48.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.